
Foreman - Bug #11619

Can't seed locked templates

08/31/2015 06:12 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Templates   

Target version: 1.9.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2652

  

Description

Something like `ProvisioningTemplate.create(...some stuff..., :locked => true` doesn't work, you have to create it and change the

locked value later.

ActiveRecord::RecordInvalid: Validation failed: This template is locked. Please clone it to a new 

template to customize.

 The validation should only validate if the record is persisted.

Related issues:

Related to Foreman Remote Execution - Refactor #11620: Refactor template impo... Closed 08/31/2015

Associated revisions

Revision bf5f1801 - 09/01/2015 06:58 AM - Stephen Benjamin

fixes #11619 - only check template changes when persisted

Revision 7cc2816a - 09/09/2015 10:59 AM - Stephen Benjamin

fixes #11619 - only check template changes when persisted

(cherry picked from commit bf5f18013ad224a93d917d696d94952965a8968d)

History

#1 - 08/31/2015 06:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2652 added

- Pull request deleted ()

#2 - 08/31/2015 06:27 AM - Marek Hulán

- Related to Refactor #11620: Refactor template importing after Foreman allows locked template creation added

#3 - 09/01/2015 07:00 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 72

#4 - 09/01/2015 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bf5f18013ad224a93d917d696d94952965a8968d.
